<?php
/**
 * @version     1.0.0
 * @package     com_resonlinebooking
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      binhk32xp <binhk32xp@gmail.com> - http://eku.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_resonlinebooking/assets/css/resonlinebooking.css');
?>
<script type="text/javascript">
    js = jQuery.noConflict();
    js(document).ready(function() {
        
    });

    Joomla.submitbutton = function(task)
    {
        if (task == 'bookingedit.cancel') {
            Joomla.submitform(task, document.getElementById('bookingedit-form'));
        }
        else {
            
            if (task != 'bookingedit.cancel' && document.formvalidator.isValid(document.id('bookingedit-form'))) {
                
                Joomla.submitform(task, document.getElementById('bookingedit-form'));
            }
            else {
                alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
            }
        }
    }
</script>

<form action="<?php echo JRoute::_('index.php?option=com_resonlinebooking&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="bookingedit-form" class="form-validate">

    <div class="form-horizontal">
        <?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'general')); ?>

        <?php echo JHtml::_('bootstrap.addTab', 'myTab', 'general', JText::_('COM_RESONLINEBOOKING_TITLE_BOOKINGEDIT', true)); ?>
        <div class="row-fluid">
            <div class="span10 form-horizontal">
                <fieldset class="adminform">

			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('id'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('id'); ?></div>
			</div>
			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('bookingName'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('bookingName'); ?></div>
			</div>
			<div class="clear"></div>
			<h2>Basic Options</h2>
			<hr />
			<div class="booking-config-col">
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('hotelId'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('hotelId'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultAdults'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultAdults'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultNights'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultNights'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('autoTickedNights'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('autoTickedNights'); ?></div>
				</div>
			</div>
			<div class="booking-config-col">
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('primaryColor'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('primaryColor'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultChildren'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultChildren'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('specialsOnly'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('specialsOnly'); ?></div>
				</div>
			</div>
			<div class="booking-config-col">
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('secondaryColor'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('secondaryColor'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultGridColumns'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultGridColumns'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('promoteSpecials'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('promoteSpecials'); ?></div>
				</div>
			</div>
			<div class="clear"></div>
			<h2>Advanced Options</h2>
			<hr />
			<div class="booking-config-col">
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('maxChildren'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('maxChildren'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('minNights'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('minNights'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('multiPropsInfoLink'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('multiPropsInfoLink'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('privateApartment'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('privateApartment'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('separateGrid'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('separateGrid'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('showImage'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('showImage'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('showRoomTypeDetails'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('showRoomTypeDetails'); ?></div>
				</div>
			</div>
			<div class="booking-config-col">
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultCurrency'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultCurrency'); ?></div>
				</div>
					<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('maxImages'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('maxImages'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('minNightsFilter'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('minNightsFilter'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('multiPropsOneGrid'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('multiPropsOneGrid'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('ratePlanFilter'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('ratePlanFilter'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('showCurrency'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('showCurrency'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('showInclusions'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('showInclusions'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('useAnalytics'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('useAnalytics'); ?></div>
				</div>
			</div>
			<div class="booking-config-col">
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('maxAdults'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('maxAdults'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('maxNights'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('maxNights'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('multiPropsExpanded'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('multiPropsExpanded'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('newWindow'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('newWindow'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('specificRatePlan'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('specificRatePlan'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('showGrid'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('showGrid'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('showPropertyDetails'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('showPropertyDetails'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('webID'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('webID'); ?></div>
				</div>
			</div>
			<div class="booking-config-col" style="display:none">			
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('bookingButtonMode'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('bookingButtonMode'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('dayOffset'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('dayOffset'); ?></div>
				</div>			
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultDate'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultDate'); ?></div>
				</div>			
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('defaultDaysOut'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('defaultDaysOut'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('errorUrl'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('errorUrl'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('gridLabel'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('gridLabel'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('inSiteCheck'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('inSiteCheck'); ?></div>
				</div>
				<div class="control-group">
					<div class="control-label"><?php echo $this->form->getLabel('layout'); ?></div>
					<div class="controls"><?php echo $this->form->getInput('layout'); ?></div>
				</div>
			</div>
                </fieldset>
            </div>
        </div>
        <?php echo JHtml::_('bootstrap.endTab'); ?>
        
        

        <?php echo JHtml::_('bootstrap.endTabSet'); ?>

        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>

    </div>
</form>